Page MenuHomePhabricator

Move Kartotherian and Tilerator to Kubernetes
Open, MediumPublic

Description

Following discussion in standup (21/02/2019), It was agreed moving these two component of maps platform would make more sense and also reduce coupling of Maps components making them easier to manage.

Subtasks to follow.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2019, 2:33 PM
Mathew.onipe triaged this task as Medium priority.Feb 22 2019, 2:34 PM

Change 534179 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [mediawiki/services/kartotherian] Drop the kartotherian-node10-browser-docker jobs

https://gerrit.wikimedia.org/r/534179

Change 534180 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Archive the kartotherian and tilerator deploy repos now they use the pipeline

https://gerrit.wikimedia.org/r/534180

Change 534181 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Drop kartotherian-deploy-npm-node-6-docker and kartotherian-node10-browser-docker

https://gerrit.wikimedia.org/r/534181

Change 534182 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Drop node10-kartotherian and npm-test-maps-service

https://gerrit.wikimedia.org/r/534182

@Mathew.onipe and @Jdforrester-WMF just FYI: I have tested kartotherian with debian buster and upstream mapnik library and it works just fine, which is a good thing since our backported mapnik library is outdated in comparison with debian stable (buster).

@Mathew.onipe and @Jdforrester-WMF just FYI: I have tested kartotherian with debian buster and upstream mapnik library and it works just fine, which is a good thing since our backported mapnik library is outdated in comparison with debian stable (buster).

Wow, that's great. Is the next step writing and landing the changes to move directly to that?

@Mathew.onipe and @Jdforrester-WMF just FYI: I have tested kartotherian with debian buster and upstream mapnik library and it works just fine, which is a good thing since our backported mapnik library is outdated in comparison with debian stable (buster).

\o/

@Mathew.onipe and @Jdforrester-WMF just FYI: I have tested kartotherian with debian buster and upstream mapnik library and it works just fine, which is a good thing since our backported mapnik library is outdated in comparison with debian stable (buster).

Wow, that's great. Is the next step writing and landing the changes to move directly to that?

Yes! But no rush for that, the kubernetes migration is still ongoing.

Mholloway removed Mathew.onipe as the assignee of this task.Mar 6 2020, 4:03 PM
sdkim added a subscriber: sdkim.Aug 11 2020, 2:45 PM
hashar added a subscriber: hashar.Sep 3 2020, 10:13 AM

hi, is that still worked on? Asking cause CI still has to maintain a Jessie based image / NodeJS 6.

Change 534180 abandoned by Hashar:
[integration/config@master] layout: Archive the kartotherian and tilerator deploy repos now they use the pipeline

Reason:
Abandoning for now since the repository is not ready yet

https://gerrit.wikimedia.org/r/534180

Change 534182 abandoned by Hashar:
[integration/config@master] dockerfiles: Drop node10-kartotherian and npm-test-maps-service

Reason:
Abandoning for now since the repository is not ready yet

https://gerrit.wikimedia.org/r/534182

Change 534181 abandoned by Hashar:
[integration/config@master] jjb: Drop old kartotherian jobs, now unused

Reason:
Abandoning for now since the repository is not ready yet

https://gerrit.wikimedia.org/r/534181

Change 534179 abandoned by Hashar:
[integration/config@master] layout: [mediawiki/services/kartotherian] Drop the kartotherian-node10-browser-docker jobs

Reason:
Abandoning for now since the repository is not ready yet

https://gerrit.wikimedia.org/r/534179

Is the migration of Maps (Kartotherian) / Maps (Tilerator) to Kubernetes / Node 10 on some people radar? The reason I ask is that CI still has to maintain images based on Debian Jessie (EOL since April 2020) with Node JS 6 (long EOL) and we would really like to be able to dispose of those legacy bits.

@hashar yes it is, not a priority currently though. FWIW, Maps (Kartotherian) and Maps (Tilerator) do not use node 6 or Debian Jessie in the current production setup, we already migrated to node 10 and debian stretch.